View Issue Details

IDProjectCategoryView StatusLast Update
0005607DarkRadiantGeneralpublic13.05.2021 18:33
ReporterBrendonChung Assigned Togreebo  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSWindows 10 
Product Version2.12.0 
Target Version2.13.0Fixed in Version2.13.0 
Summary0005607: Crash when selecting an MD5 model in "Create Model..." menu
DescriptionDarkRadiant crashes when I select an MD5 model in the "Create Model..." menu.

I've uploaded a crash dump here:
https://www.dropbox.com/sh/10aqxwtkd2lx84x/AACcmql25Nb9rq026wLLUVoSa

I've also attached a .log file to this post.
Steps To Reproduce1. Right-click in ortho view > Create Model... > modelDefs > select an MD5 model
2. The program crashes
Additional InformationThis is with a modified doom3.game configuration. I've also tried it with a default TDM installation, and the crash still seems to happen.
TagsNo tags attached.

Relationships

related to 0005609 resolvedgreebo Model previewer not displaying ASE or LWO models 

Activities

BrendonChung

BrendonChung

06.05.2021 00:51

reporter  

darkradiant.log (33,416 bytes)   
2021-05-05 17:48:49 (24020) Started logging to C:/Users/Brendon/AppData/Roaming/DarkRadiant/darkradiant.log
2021-05-05 17:48:49 (24020) This is DarkRadiant 2.12.0 x64 
2021-05-05 17:48:49 (24020) Today is 2021-05-05 17:48:49
2021-05-05 17:48:49 (24020) ModuleRegistry instantiated.
2021-05-05 17:48:49 (24020) Module registered: RadiantCore
2021-05-05 17:48:49 (24020) Current language setting: en
2021-05-05 17:48:49 (24020) Found 2 language folders.
2021-05-05 17:48:49 (24020) Module registered: CameraWndManager
2021-05-05 17:48:49 (24020) Module registered: Clipboard
2021-05-05 17:48:49 (24020) Module registered: EventManager
2021-05-05 17:48:49 (24020) Module registered: MouseToolManager
2021-05-05 17:48:49 (24020) Module registered: AutomaticMapSaver
2021-05-05 17:48:49 (24020) Module registered: StartupMapLoader
2021-05-05 17:48:49 (24020) Module registered: LocalisationModule
2021-05-05 17:48:49 (24020) Module registered: DialogManager
2021-05-05 17:48:49 (24020) Module registered: UserInterfaceModule
2021-05-05 17:48:49 (24020) Module registered: FavouritesUserInterface
2021-05-05 17:48:49 (24020) Module registered: FilterUserInterface
2021-05-05 17:48:49 (24020) Module registered: wxGLWidgetManager
2021-05-05 17:48:49 (24020) Module registered: GridUserInterface
2021-05-05 17:48:49 (24020) Module registered: GroupDialogModule
2021-05-05 17:48:49 (24020) Module registered: MainFrame
2021-05-05 17:48:49 (24020) Module registered: MainFrameLayoutManager
2021-05-05 17:48:49 (24020) Module registered: MaterialEditor
2021-05-05 17:48:49 (24020) Module registered: MediaBrowser
2021-05-05 17:48:49 (24020) Module registered: MenuManager
2021-05-05 17:48:49 (24020) Module registered: EntityInspector
2021-05-05 17:48:49 (24020) Module registered: OrthoContextMenu
2021-05-05 17:48:49 (24020) Module registered: ScriptUserInterface
2021-05-05 17:48:49 (24020) Module registered: StatusBarManager
2021-05-05 17:48:49 (24020) Module registered: TextureBrowserManager
2021-05-05 17:48:49 (24020) Module registered: ToolBarManager
2021-05-05 17:48:49 (24020) Module registered: OrthoviewManager
2021-05-05 17:48:49 (24020) Module registered: Doom3BrushCreator
2021-05-05 17:48:49 (24020) Module registered: CameraManager
2021-05-05 17:48:49 (24020) Module registered: Clipper
2021-05-05 17:48:49 (24020) Module registered: FavouritesManager
2021-05-05 17:48:49 (24020) Module registered: EclassColourManager
2021-05-05 17:48:49 (24020) Module registered: EntityClassManager
2021-05-05 17:48:49 (24020) Module registered: EntityModule
2021-05-05 17:48:49 (24020) Module registered: FileTypes
2021-05-05 17:48:49 (24020) Module registered: FilterSystem
2021-05-05 17:48:49 (24020) Module registered: FontManager
2021-05-05 17:48:49 (24020) Module registered: Grid
2021-05-05 17:48:49 (24020) Module registered: ImageLoader
2021-05-05 17:48:49 (24020) Module registered: LayerModule
2021-05-05 17:48:49 (24020) Module registered: ZAasFileManager
2021-05-05 17:48:49 (24020) Module registered: Doom3AasFileLoader
2021-05-05 17:48:49 (24020) Module registered: Counters
2021-05-05 17:48:49 (24020) Module registered: EditingStopwatch
2021-05-05 17:48:49 (24020) Module registered: Map
2021-05-05 17:48:49 (24020) Module registered: MapResourceManager
2021-05-05 17:48:49 (24020) Module registered: PointFile
2021-05-05 17:48:49 (24020) Module registered: RegionManager
2021-05-05 17:48:49 (24020) Module registered: Doom3MapLoader
2021-05-05 17:48:49 (24020) Module registered: Doom3PrefabLoader
2021-05-05 17:48:49 (24020) Module registered: MapFormatManager
2021-05-05 17:48:49 (24020) Module registered: Quake3MapLoader
2021-05-05 17:48:49 (24020) Module registered: Quake4MapLoader
2021-05-05 17:48:49 (24020) Module registered: class map::format::PortableMapFormat
2021-05-05 17:48:49 (24020) Module registered: MapInfoFileManager
2021-05-05 17:48:49 (24020) Module registered: MRUManager
2021-05-05 17:48:49 (24020) Module registered: NamespaceFactory
2021-05-05 17:48:49 (24020) Module registered: MD5Module
2021-05-05 17:48:49 (24020) Module registered: MD5AnimationCache
2021-05-05 17:48:49 (24020) Module registered: ModelCache
2021-05-05 17:48:49 (24020) Module registered: ModelFormatManager
2021-05-05 17:48:49 (24020) Module registered: PicoModelModule
2021-05-05 17:48:49 (24020) Module registered: ParticlesManager
2021-05-05 17:48:49 (24020) Module registered: PatchModule
2021-05-05 17:48:49 (24020) Module registered: CommandSystem
2021-05-05 17:48:49 (24020) Module registered: OpenGL
2021-05-05 17:48:49 (24020) Module registered: ShaderCache
2021-05-05 17:48:49 (24020) Module registered: RenderSystemFactory
2021-05-05 17:48:49 (24020) Module registered: SharedGLContextHolder
2021-05-05 17:48:49 (24020) Module registered: SceneGraph
2021-05-05 17:48:49 (24020) Module registered: SceneGraphFactory
2021-05-05 17:48:49 (24020) Module registered: SelectionGroupModule
2021-05-05 17:48:49 (24020) Module registered: SelectionSystem
2021-05-05 17:48:49 (24020) Module registered: SelectionSetModule
2021-05-05 17:48:49 (24020) Module registered: ShaderClipboard
2021-05-05 17:48:49 (24020) Module registered: ColourSchemeManager
2021-05-05 17:48:49 (24020) Module registered: GameManager
2021-05-05 17:48:49 (24020) Module registered: PreferenceSystem
2021-05-05 17:48:49 (24020) Module registered: MaterialManager
2021-05-05 17:48:49 (24020) Module registered: ModelSkinCache
2021-05-05 17:48:49 (24020) Module registered: UndoSystem
2021-05-05 17:48:49 (24020) Module registered: VirtualFileSystem
2021-05-05 17:48:49 (24020) Module registered: XMLRegistry
2021-05-05 17:48:49 (24020) ModuleRegistry Compatibility Level is 20201026
2021-05-05 17:48:49 (24020) ModuleLoader: loading modules from D:/games/monstergame/tools/darkradiant/modules/
2021-05-05 17:48:49 (24020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/modules/DarkRadiantCore.dll'
2021-05-05 17:48:49 (24020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/modules/script.dll'
2021-05-05 17:48:49 (24020) Module registered: ScriptingSystem
2021-05-05 17:48:49 (24020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/modules/sound.dll'
2021-05-05 17:48:49 (24020) Module registered: SoundManager
2021-05-05 17:48:49 (24020) ModuleLoader: loading modules from D:/games/monstergame/tools/darkradiant/plugins/
2021-05-05 17:48:49 (24020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.conversation.dll'
2021-05-05 17:48:49 (24020) Module registered: ConversationEditor
2021-05-05 17:48:49 (24020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.difficulty.dll'
2021-05-05 17:48:49 (24020) Module registered: DifficultyEditor
2021-05-05 17:48:49 (24020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.editing.dll'
2021-05-05 17:48:49 (24020) Module registered: DarkMod Editing
2021-05-05 17:48:49 (24020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.gameconnection.dll'
2021-05-05 17:48:49 (24020) Module registered: GameConnection
2021-05-05 17:48:49 (24020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.gui.dll'
2021-05-05 17:48:49 (24020) Module registered: GUI Editing
2021-05-05 17:48:49 (24020) Module registered: GuiManager
2021-05-05 17:48:49 (24020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.objectives.dll'
2021-05-05 17:48:49 (24020) Module registered: ObjectivesEditor
2021-05-05 17:48:49 (24020) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.stimresponse.dll'
2021-05-05 17:48:49 (24020) Module registered: StimResponseEditor
2021-05-05 17:48:49 (24020) FileTypes::initialiseModule called.
2021-05-05 17:48:49 (24020) XMLRegistry::initialiseModule called
2021-05-05 17:48:49 (24020) XMLRegistry: looking for XML files in D:/games/monstergame/tools/darkradiant/
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/user.xml
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/colours.xml
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/input.xml
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/menu.xml
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/commandsystem.xml
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/user.xml
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/colours.xml
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/input.xml
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/filters.xml
2021-05-05 17:48:49 (24020) CommandSystem::initialiseModule called.
2021-05-05 17:48:49 (24020) PreferenceSystem::initialiseModule called
2021-05-05 17:48:49 (24020) VirtualFileSystem::initialiseModule called
2021-05-05 17:48:49 (24020) GameManager: Scanning for game description files: D:/games/monstergame/tools/darkradiant/games/
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/darkmod.game
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/doom3-demo.game
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/doom3.game
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/prey.game
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/quake3.game
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/quake4.game
2021-05-05 17:48:49 (24020) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/xreal.game
2021-05-05 17:48:49 (24020) GameManager: Found game definitions: 
2021-05-05 17:48:49 (24020)   Doom 3
2021-05-05 17:48:49 (24020)   Doom 3 Demo
2021-05-05 17:48:49 (24020)   Prey
2021-05-05 17:48:49 (24020)   Quake 3
2021-05-05 17:48:49 (24020)   Quake 4
2021-05-05 17:48:49 (24020)   The Dark Mod 2.0 (Standalone)
2021-05-05 17:48:49 (24020)   XreaL
2021-05-05 17:48:49 (24020) 
2021-05-05 17:48:49 (24020) GameManager: Selected game type: Doom 3
2021-05-05 17:48:49 (24020) GameManager: Map path set to D:/games/monstergame/base/maps/
2021-05-05 17:48:49 (24020) GameManager: Prefab path set to D:/games/monstergame/base/prefabs/
2021-05-05 17:48:49 (24020) Initialising filesystem using 1 paths 
2021-05-05 17:48:49 (24020) VFS Search Path priority is: 
2021-05-05 17:48:49 (24020) - D:/games/monstergame/base/
2021-05-05 17:48:49 (24020) Allowed PK4 Archive File Extensions: pk4
2021-05-05 17:48:49 (24020) [vfs] Searched directory: D:/games/monstergame/base/
2021-05-05 17:48:49 (24020) MapInfoFileManager::initialiseModule called.
2021-05-05 17:48:49 (24020) MapFormatManager::initialiseModule called.
2021-05-05 17:48:49 (24020) Doom3MapLoader: initialiseModule called.
2021-05-05 17:48:49 (24020) MapResourceManager::initialiseModule called.
2021-05-05 17:48:49 (24020) SceneGraph::initialiseModule called
2021-05-05 17:48:49 (24020) Map::initialiseModule called.
2021-05-05 17:48:49 (24020) AutomaticMapSaver::initialiseModule called.
2021-05-05 17:48:49 (24020) CameraManager::initialiseModule called.
2021-05-05 17:48:49 (24020) EventManager::initialiseModule called.
2021-05-05 17:48:49 (24020) EventManager successfully initialised.
2021-05-05 17:48:49 (24020) GroupDialogModule::initialiseModule called
2021-05-05 17:48:49 (24020) MainFrameLayoutManager::initialiseModule called.
2021-05-05 17:48:49 (24020) MaterialManager::initialiseModule called
2021-05-05 17:48:49 (24020) SharedGLContextHolder::initialiseModule called.
2021-05-05 17:48:49 (24020) ShaderCache::initialiseModule called.
2021-05-05 17:48:49 (24020) StatusBarManager::initialiseModule called.
2021-05-05 17:48:49 (24020) OrthoviewManager::initialiseModule called.
2021-05-05 17:48:49 (14184) 1215 shader definitions found.
2021-05-05 17:48:49 (24020) MainFrame::initialiseModule called.
2021-05-05 17:48:49 (24020) CameraWndManager::initialiseModule called.
2021-05-05 17:48:49 (24020) Clipboard::initialiseModule called.
2021-05-05 17:48:49 (24020) Clipper::initialiseModule called
2021-05-05 17:48:49 (24020) EclassColourManager::initialiseModule called.
2021-05-05 17:48:49 (24020) ColourSchemeManager::initialiseModule called.
2021-05-05 17:48:49 (24020) ColourSchemeManager: Loading colour schemes...
2021-05-05 17:48:49 (24020) MenuManager::initialiseModule called.
2021-05-05 17:48:49 (24020) ConversationEditor::initialiseModule called.
2021-05-05 17:48:49 (24020) GridManager::initialiseModule called.
2021-05-05 17:48:49 (24020) OpenGL::initialiseModule called.
2021-05-05 17:48:49 (24020) SelectionSystem::initialiseModule called.
2021-05-05 17:48:49 (24020) UndoSystem::initialiseModule called
2021-05-05 17:48:49 (24020) DarkMod Editing::initialiseModule called.
2021-05-05 17:48:49 (24020) DialogManager::initialiseModule called.
2021-05-05 17:48:49 (24020) DifficultyEditor::initialiseModule called.
2021-05-05 17:48:49 (24020) EntityClassDoom3::initialiseModule called.
2021-05-05 17:48:49 (14184) searching vfs directory 'def' for *.def
2021-05-05 17:48:49 (24020) ZAasFileManager::initialiseModule called.
2021-05-05 17:48:49 (24020) Doom3AasFileLoader: initialiseModule called.
2021-05-05 17:48:49 (24020) BrushModuleImpl::initialiseModule called.
2021-05-05 17:48:49 (24020) Doom3PrefabLoader: initialiseModule called.
2021-05-05 17:48:49 (24020) EditingStopwatch::initialiseModule called.
2021-05-05 17:48:49 (24020) EntityModule::initialiseModule called.
2021-05-05 17:48:49 (24020) FavouritesUserInterface::initialiseModule called.
2021-05-05 17:48:49 (24020) [filters] Loaded 16 filters from registry.
2021-05-05 17:48:49 (24020) FilterUserInterface::initialiseModule called.
2021-05-05 17:48:49 (24020) FontManager::initialiseModule called
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/inocua/fontImage_12.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/inocua/fontImage_24.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/inocua/fontImage_48.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/petme/fontImage_12.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/petme/fontImage_24.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/petme/fontImage_48.dat loaded successfully.
2021-05-05 17:48:49 (24020) GUI Editing::initialiseModule called.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/roboto/fontImage_12.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/roboto/fontImage_24.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/roboto/fontImage_48.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/teko/fontImage_12.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/teko/fontImage_24.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/teko/fontImage_48.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/zector/fontImage_12.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/zector/fontImage_24.dat loaded successfully.
2021-05-05 17:48:49 (14184) FontLoader: fonts/english/zector/fontImage_48.dat loaded successfully.
2021-05-05 17:48:49 (14184) 5 fonts registered.
2021-05-05 17:48:49 (24020) GridUserInterface::initialiseModule called.
2021-05-05 17:48:49 (24020) GuiManager::initialiseModule called.
2021-05-05 17:48:49 (14184) [GuiManager]: Found 0 guis.
2021-05-05 17:48:49 (24020) LayerModule::initialiseModule called.
2021-05-05 17:48:49 (24020) LocalisationModule::initialiseModule called
2021-05-05 17:48:49 (24020) MD5AnimationCache::initialiseModule called.
2021-05-05 17:48:49 (24020) ModelFormatManager::initialiseModule called.
2021-05-05 17:48:49 (24020) MRUManager::initialiseModule called.
2021-05-05 17:48:49 (24020) MaterialEditor::initialiseModule called.
2021-05-05 17:48:49 (24020) ShaderClipboard::initialiseModule called.
2021-05-05 17:48:49 (24020) MediaBrowser::initialiseModule called.
2021-05-05 17:48:49 (24020) ModelCache::initialiseModule called.
2021-05-05 17:48:49 (24020) Doom3SkinCache::initialiseModule called
2021-05-05 17:48:49 (19584) [skins] Loading skins.
2021-05-05 17:48:49 (19584) [skins] Found 189 skins.
2021-05-05 17:48:49 (24020) NamespaceFactory::initialiseModule called.
2021-05-05 17:48:49 (24020) ObjectivesEditorModule::initialiseModule called.
2021-05-05 17:48:49 (24020) ParticlesManager::initialiseModule called
2021-05-05 17:48:49 (24020) PatchModule::initialiseModule called.
2021-05-05 17:48:49 (24020) PointFile::initialiseModule called
2021-05-05 17:48:49 (24020) Quake3MapLoader: initialiseModule called.
2021-05-05 17:48:49 (24020) Quake4MapLoader: initialiseModule called.
2021-05-05 17:48:49 (24020) RegionManager::initialiseModule called.
2021-05-05 17:48:49 (19584) Found 163 particle definitions.
2021-05-05 17:48:49 (24020) RenderSystemFactory::initialiseModule called.
2021-05-05 17:48:49 (24020) SceneGraphFactory::initialiseModule called.
2021-05-05 17:48:49 (24020) ScriptingSystem::initialiseModule called.
2021-05-05 17:48:49 (24020) Registering darkradiant module to Python using pybind11 version 2.6.1
2021-05-05 17:48:49 (24020) SelectionGroupModule::initialiseModule called.
2021-05-05 17:48:49 (24020) SelectionSetModule::initialiseModule called.
2021-05-05 17:48:49 (24020) SoundManager: initialising sound playback
2021-05-05 17:48:49 (24020) StartupMapLoader::initialiseModule called.
2021-05-05 17:48:49 (24020) StimResponseEditor::initialiseModule called.
2021-05-05 17:48:49 (24020) TextureBrowserManager::initialiseModule called.
2021-05-05 17:48:49 (19584) 307 sound shaders found.
2021-05-05 17:48:49 (24020) Found toolbar: view
2021-05-05 17:48:49 (24020) Found toolbar: edit
2021-05-05 17:48:49 (24020) Found toolbar: texture
2021-05-05 17:48:49 (24020) Found toolbar: textool
2021-05-05 17:48:49 (24020) UserInterfaceModule::initialiseModule called.
2021-05-05 17:48:49 (24020) wxWidgets Version: 3.1.3
2021-05-05 17:48:49 (24020) Default screen has 1 monitors.
2021-05-05 17:48:49 (24020) Monitor 0 geometry: 1920x1080 at 0, 0
2021-05-05 17:48:49 (24020) class map::format::PortableMapFormat: initialiseModule called.
2021-05-05 17:48:49 (24020) wxGLWidgetManager::initialiseModule called.
2021-05-05 17:48:49 (24020) ToolbarManager: Instantiating toolbar: view
2021-05-05 17:48:49 (24020) ToolbarManager: Instantiating toolbar: edit
2021-05-05 17:48:49 (24020) MainFrame: Activating layout Regular
2021-05-05 17:48:49 (24020) ToolbarManager: Instantiating toolbar: texture
2021-05-05 17:48:50 (24020) EventManager: Shortcuts found in Registry: 152
2021-05-05 17:48:50 (24020) DarkRadiant init.py called, this is Python 3.6.1 (v3.6.1:69c0db5, Mar 21 2017, 18:41:36) [MSC v.1900 64 bit (AMD64)]
2021-05-05 17:48:50 (24020) Registered script file commands/ase_export.py as aseExport
2021-05-05 17:48:50 (24020) Registered script file commands/ase_export_blend.py as aseExportBlend
2021-05-05 17:48:50 (24020) Registered script file commands/change_all_textures.py as ChangeAllTextures
2021-05-05 17:48:50 (24020) Registered script file commands/check_for_invalid_visportals.py as check_invalid_visportals
2021-05-05 17:48:50 (24020) Registered script file commands/example.py as Example
2021-05-05 17:48:50 (24020) Registered script file commands/export_obj.py as objExport
2021-05-05 17:48:50 (24020) Registered script file commands/find_duplicate_entities.py as findDuplicateEntities
2021-05-05 17:48:50 (24020) Registered script file commands/patchsplitter.py as SplitPatch
2021-05-05 17:48:50 (24020) Registered script file commands/patch_noise.py as PatchNoise
2021-05-05 17:48:50 (24020) Registered script file commands/randomise_texture_x_individual.py as RandomiseTextureXIndividual
2021-05-05 17:48:50 (24020) Registered script file commands/select_all_entities.py as SelectAllEntities
2021-05-05 17:48:50 (24020) Registered script file commands/select_all_entities_of_type.py as SelectAllEntitiesOfType
2021-05-05 17:48:50 (24020) Registered script file commands/select_all_funcstatic.py as SelectAllFuncstatics
2021-05-05 17:48:50 (24020) Registered script file commands/select_all_models_of_type.py as SelectAllModelsOfType
2021-05-05 17:48:50 (24020) Registered script file commands/shift_textures_randomly.py as ShiftTexturesRandomly
2021-05-05 17:48:50 (24020) Registered script file commands/shift_textures_upwards_randomly.py as ShiftTexturesUpwardsRandomly
2021-05-05 17:48:50 (24020) Registered script file commands/test_targets.py as test_targets
2021-05-05 17:48:50 (24020) ScriptModule: Found 17 commands.
2021-05-05 17:48:50 (24020) GL_VENDOR: NVIDIA Corporation
2021-05-05 17:48:50 (24020) GL_RENDERER: NVIDIA GeForce GTX 1660 SUPER/PCIe/SSE2
2021-05-05 17:48:50 (24020) GL_VERSION: 4.6.0 NVIDIA 466.11
2021-05-05 17:48:50 (24020) GL_EXTENSIONS: GL_AMD_multi_draw_indirect GL_AMD_seamless_cubemap_per_texture GL_AMD_vertex_shader_viewport_index GL_AMD_vertex_shader_layer GL_ARB_arrays_of_arrays GL_ARB_base_instance GL_ARB_bindless_texture GL_ARB_blend_func_extended GL_ARB_buffer_storage GL_ARB_clear_buffer_object GL_ARB_clear_texture GL_ARB_clip_control GL_ARB_color_buffer_float GL_ARB_compatibility GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_compute_shader GL_ARB_compute_variable_group_size GL_ARB_conditional_render_inverted GL_ARB_copy_buffer GL_ARB_copy_image GL_ARB_cull_distance GL_ARB_debug_output GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_depth_texture GL_ARB_derivative_control GL_ARB_direct_state_access GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_indirect GL_ARB_draw_elements_base_vertex GL_ARB_draw_instanced GL_ARB_enhanced_layouts GL_ARB_ES2_compatibility GL_ARB_ES3_compatibility GL_ARB_ES3_1_compatibility GL_ARB_ES3_2_compatibility GL_ARB_explicit_attrib_location GL_ARB_explicit_uniform_location GL_ARB_fragment_coord_conventions GL_ARB_fragment_layer_viewport GL_ARB_fragment_program GL_ARB_fragment_program_shadow GL_ARB_fragment_shader GL_ARB_fragment_shader_interlock GL_ARB_framebuffer_no_attachments GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB GL_ARB_geometry_shader4 GL_ARB_get_program_binary GL_ARB_get_texture_sub_image GL_ARB_gl_spirv GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64 GL_ARB_gpu_shader_int64 GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_imaging GL_ARB_indirect_parameters GL_ARB_instanced_arrays GL_ARB_internalformat_query GL_ARB_internalformat_query2 GL_ARB_invalidate_subdata GL_ARB_map_buffer_alignment GL_ARB_map_buffer_range GL_ARB_multi_bind GL_ARB_multi_draw_indirect GL_ARB_multisample GL_ARB_multitexture GL_ARB_occlusion_query GL_ARB_occlusion_query2 GL_ARB_parallel_shader_compile GL_ARB_pipeline_statistics_query GL_ARB_pixel_buffer_object GL_ARB_point_parameters GL_ARB_point_sprite GL_ARB_polygon_offset_clamp GL_ARB_post_depth_coverage GL_ARB_program_interface_query GL_ARB_provoking_vertex GL_ARB_query_buffer_object GL_ARB_robust_buffer_access_behavior GL_ARB_robustness GL_ARB_sample_locations GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_seamless_cubemap_per_texture GL_ARB_separate_shader_objects GL_ARB_shader_atomic_counter_ops GL_ARB_shader_atomic_counters GL_ARB_shader_ballot GL_ARB_shader_bit_encoding GL_ARB_shader_clock GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote GL_ARB_shader_image_load_store GL_ARB_shader_image_size GL_ARB_shader_objects GL_ARB_shader_precision GL_ARB_shader_storage_buffer_object GL_ARB_shader_subroutine GL_ARB_shader_texture_image_samples GL_ARB_shader_texture_lod GL_ARB_shading_language_100 GL_ARB_shader_viewport_layer_array GL_ARB_shading_language_420pack GL_ARB_shading_language_include GL_ARB_shading_language_packing GL_ARB_shadow GL_ARB_sparse_buffer GL_ARB_sparse_texture GL_ARB_sparse_texture2 GL_ARB_sparse_texture_clamp GL_ARB_spirv_extensions GL_ARB_stencil_texturing GL_ARB_sync GL_ARB_tessellation_shader GL_ARB_texture_barrier GL_ARB_texture_border_clamp GL_ARB_texture_buffer_object GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_buffer_range GL_ARB_texture_compression GL_ARB_texture_compression_bptc GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map GL_ARB_texture_cube_map_array GL_ARB_texture_env_add GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_filter_anisotropic GL_ARB_texture_filter_minmax GL_ARB_texture_float GL_ARB_texture_gather GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_mirrored_repeat GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two GL_ARB_texture_query_levels GL_ARB_texture_query_lod GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_rgb10_a2ui GL_ARB_texture_stencil8 GL_ARB_texture_storage GL_ARB_texture_storage_multisample GL_ARB_texture_swizzle GL_ARB_texture_view GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_transform_feedback_instanced GL_ARB_transform_feedback_overflow_query GL_ARB_transpose_matrix GL_ARB_uniform_buffer_object GL_ARB_vertex_array_bgra GL_ARB_vertex_array_object GL_ARB_vertex_attrib_64bit GL_ARB_vertex_attrib_binding GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_vertex_shader GL_ARB_vertex_type_10f_11f_11f_rev GL_ARB_vertex_type_2_10_10_10_rev GL_ARB_viewport_array GL_ARB_window_pos GL_ATI_draw_buffers GL_ATI_texture_float GL_ATI_texture_mirror_once GL_S3_s3tc GL_EXT_texture_env_add GL_EXT_abgr GL_EXT_bgra GL_EXT_bindable_uniform GL_EXT_blend_color GL_EXT_blend_equation_separate GL_EXT_blend_func_separate GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_compiled_vertex_array GL_EXT_Cg_shader GL_EXT_depth_bounds_test GL_EXT_direct_state_access GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXTX_framebuffer_mixed_formats GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_framebuffer_object GL_EXT_framebuffer_sRGB GL_EXT_geometry_shader4 GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4 GL_EXT_multi_draw_arrays GL_EXT_multiview_texture_multisample GL_EXT_multiview_timer_query GL_EXT_packed_depth_stencil GL_EXT_packed_float GL_EXT_packed_pixels GL_EXT_pixel_buffer_object GL_EXT_point_parameters GL_EXT_polygon_offset_clamp GL_EXT_post_depth_coverage GL_EXT_provoking_vertex GL_EXT_raster_multisample GL_EXT_rescale_normal GL_EXT_secondary_color GL_EXT_separate_shader_objects GL_EXT_separate_specular_color GL_EXT_shader_image_load_formatted GL_EXT_shader_image_load_store GL_EXT_shader_integer_mix GL_EXT_shadow_funcs GL_EXT_sparse_texture2 GL_EXT_stencil_two_side GL_EXT_stencil_wrap GL_EXT_texture3D GL_EXT_texture_array GL_EXT_texture_buffer_object GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_latc GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc GL_EXT_texture_cube_map GL_EXT_texture_edge_clamp GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotropic GL_EXT_texture_filter_minmax GL_EXT_texture_integer GL_EXT_texture_lod GL_EXT_texture_lod_bias GL_EXT_texture_mirror_clamp GL_EXT_texture_object GL_EXT_texture_shadow_lod GL_EXT_texture_shared_exponent GL_EXT_texture_sRGB GL_EXT_texture_sRGB_R8 GL_EXT_texture_sRGB_decode GL_EXT_texture_storage GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback2 GL_EXT_vertex_array GL_EXT_vertex_array_bgra GL_EXT_vertex_attrib_64bit GL_EXT_window_rectangles GL_EXT_import_sync_object GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat GL_KHR_context_flush_control GL_KHR_debug GL_EXT_memory_object GL_EXT_memory_object_win32 GL_NV_memory_object_sparse GL_EXT_win32_keyed_mutex GL_KHR_parallel_shader_compile GL_KHR_no_error GL_KHR_robust_buffer_access_behavior GL_KHR_robustness GL_EXT_semaphore GL_EXT_semaphore_win32 GL_NV_timeline_semaphore GL_KHR_shader_subgroup GL_KTX_buffer_region GL_NV_alpha_to_coverage_dither_control GL_NV_bindless_multi_draw_indirect GL_NV_bindless_multi_draw_indirect_count GL_NV_bindless_texture GL_NV_blend_equation_advanced GL_NV_blend_equation_advanced_coherent GL_NVX_blend_equation_advanced_multi_draw_buffers GL_NV_blend_minmax_factor GL_NV_blend_square GL_NV_clip_space_w_scaling GL_NV_command_list GL_NV_compute_program5 GL_NV_compute_shader_derivatives GL_NV_conditional_render GL_NV_conservative_raster GL_NV_conservative_raster_dilate GL_NV_conservative_raster_pre_snap GL_NV_conservative_raster_pre_snap_triangles GL_NV_conservative_raster_underestimation GL_NV_copy_depth_to_color GL_NV_copy_image GL_NV_depth_buffer_float GL_NV_depth_clamp GL_NV_draw_texture GL_NV_draw_vulkan_image GL_NV_ES1_1_compatibility GL_NV_ES3_1_compatibility GL_NV_explicit_multisample GL_NV_feature_query GL_NV_fence GL_NV_fill_rectangle GL_NV_float_buffer GL_NV_fog_distance GL_NV_fragment_coverage_to_color GL_NV_fragment_program GL_NV_fragment_program_option GL_NV_fragment_program2 GL_NV_fragment_shader_barycentric GL_NV_fragment_shader_interlock GL_NV_framebuffer_mixed_samples GL_NV_framebuffer_multisample_coverage GL_NV_geometry_shader4 GL_NV_geometry_shader_passthrough GL_NV_gpu_program4 GL_NV_internalformat_sample_query GL_NV_gpu_program4_1 GL_NV_gpu_program5 GL_NV_gpu_program5_mem_extended GL_NV_gpu_program_fp64 GL_NV_gpu_shader5 GL_NV_half_float GL_NV_light_max_exponent GL_NV_memory_attachment GL_NV_mesh_shader GL_NV_multisample_coverage GL_NV_multisample_filter_hint GL_NV_occlusion_query GL_NV_packed_depth_stencil GL_NV_parameter_buffer_object GL_NV_parameter_buffer_object2 GL_NV_path_rendering GL_NV_path_rendering_shared_edge GL_NV_pixel_data_range GL_NV_point_sprite GL_NV_primitive_restart GL_NV_query_resource GL_NV_query_resource_tag GL_NV_register_combiners GL_NV_register_combiners2 GL_NV_representative_fragment_test GL_NV_sample_locations GL_NV_sample_mask_override_coverage GL_NV_scissor_exclusive GL_NV_shader_atomic_counters GL_NV_shader_atomic_float GL_NV_shader_atomic_float64 GL_NV_shader_atomic_fp16_vector GL_NV_shader_atomic_int64 GL_NV_shader_buffer_load GL_NV_shader_storage_buffer_object GL_NV_shader_subgroup_partitioned GL_NV_shader_texture_footprint GL_NV_shading_rate_image GL_NV_stereo_view_rendering GL_NV_texgen_reflection GL_NV_texture_barrier GL_NV_texture_compression_vtc GL_NV_texture_env_combine4 GL_NV_texture_multisample GL_NV_texture_rectangle GL_NV_texture_rectangle_compressed GL_NV_texture_shader GL_NV_texture_shader2 GL_NV_texture_shader3 GL_NV_transform_feedback GL_NV_transform_feedback2 GL_NV_uniform_buffer_unified_memory GL_NV_vertex_array_range GL_NV_vertex_array_range2 GL_NV_vertex_attrib_integer_64bit GL_NV_vertex_buffer_unified_memory GL_NV_vertex_program GL_NV_vertex_program1_1 GL_NV_vertex_program2 GL_NV_vertex_program2_option GL_NV_vertex_program3 GL_NV_viewport_array2 GL_NV_viewport_swizzle GL_NVX_conditional_render GL_NVX_linked_gpu_multicast GL_NV_gpu_multicast GL_NVX_gpu_multicast2 GL_NVX_progress_fence GL_NVX_gpu_memory_info GL_NVX_multigpu_info GL_NVX_nvenc_interop GL_NV_shader_thread_group GL_NV_shader_thread_shuffle GL_KHR_blend_equation_advanced GL_KHR_blend_equation_advanced_coherent GL_OVR_multiview GL_OVR_multiview2 GL_SGIS_generate_mipmap GL_SGIS_texture_lod GL_SGIX_depth_texture GL_SGIX_shadow GL_SUN_slice_accum GL_WIN_swap_hint WGL_EXT_swap_control 
2021-05-05 17:48:50 (24020) [OpenGLRenderSystem] GLSL shading IS available.
2021-05-05 17:48:50 (24020) Loading map from D:/games/monstergame/base/maps/test0.map
2021-05-05 17:48:50 (24020) Open file D:/games/monstergame/base/maps/test0.map from filesystem...success.
2021-05-05 17:48:50 (24020) Using Doom 3 format to load the data.
2021-05-05 17:48:50 (24020) Open file D:/games/monstergame/base/maps/test0.darkradiant from filesystem...success.
2021-05-05 17:48:50 (24020) Parsing info file...
2021-05-05 17:48:50 (24020) [InfoFile]: Parsed map editing time.
2021-05-05 17:48:50 (24020) [InfoFile]: Parsed layer #0 with name Default
2021-05-05 17:48:50 (24020) Sanity-checking the layer assignments...done, had to fix 0 assignments.
2021-05-05 17:48:50 (24020) [InfoFile]: Parsed 4 map properties.
2021-05-05 17:48:50 (24020) map load timer:  0.23 second(s) elapsed
2021-05-05 17:48:50 (24020) Read 24328 seconds of total map editing time.
2021-05-05 17:48:50 (24020) --- LoadMapFile ---
2021-05-05 17:48:50 (24020) D:/games/monstergame/base/maps/test0.map
2021-05-05 17:48:50 (24020) 7 brushes
2021-05-05 17:48:50 (24020) 0 patches
2021-05-05 17:48:50 (24020) 5 entities
2021-05-05 17:48:51 (17156) Auto-saving registry to user settings path.
darkradiant.log (33,416 bytes)   
greebo

greebo

12.05.2021 16:24

administrator   ~0013997

I can't seem to be able to repro the crash on my end. I can open the crash dump, but interestingly Visual Studio claims that my symbols are not matching the DarkRadiantCore.dll on your system - while it can load the symbols for the .exe and the other modules. So it's possible that this particular DLL file is not matching up.

Can you please double-check and download the portable 2.12.0 x64 version again (https://github.com/codereader/DarkRadiant/releases/download/2.12.0/darkradiant-2.12.0-x64.portable.7z) and extract it to some other location on your system? If it's still crashing with that one, please collect a new crash dump, I'll try to load it then.
BrendonChung

BrendonChung

12.05.2021 16:56

reporter   ~0013998

My mistake, I'm sorry! We are using a custom modified darkradiantcore.dll.

I recreated the crash with Portable 2.12 and uploaded the crash dump:
https://www.dropbox.com/sh/10aqxwtkd2lx84x/AACcmql25Nb9rq026wLLUVoSa
greebo

greebo

13.05.2021 03:30

administrator   ~0014000

Hm, the new dump doesn't indicate a crash, the app seems to be idle. (And it still can't match the symbols to DarkRadiantCore.dll. Your DarkRadiant.exe is still located at D:\games\monstergame\tools\darkradiant\DarkRadiant.exe, did you extract the portable package over the same location as in the first dump?)
BrendonChung

BrendonChung

13.05.2021 15:06

reporter   ~0014005

Oh, strange - I had installed the portable version into a new, separate folder.

At any rate, I generated two new crash dumps (double-checked that I was running the portable version), and also included the log file:
https://www.dropbox.com/sh/10aqxwtkd2lx84x/AACcmql25Nb9rq026wLLUVoSa
greebo

greebo

13.05.2021 15:56

administrator   ~0014006

Now I can see where the crash is happening. It appears the material reference is empty for the "models/monsters/cat/skin" shader.

I tried to repro that using an .md5mesh file with a non-existent material, but this doesn't crash for me. Can you provide a test model for me that is crashing on your end? I'd also need to know whether that material declaration is a legit one, does the "models/monsters/cat/skin" material exist? Or is pointing to a texture file that can be found in that path?
2021-05-13 17_47_31-Window.png (23,280 bytes)   
2021-05-13 17_47_31-Window.png (23,280 bytes)   
greebo

greebo

13.05.2021 16:05

administrator   ~0014007

Last edited: 13.05.2021 16:18

It appears the OpenGLRenderSystem which is attached to the preview is not "realised". I'll try to find out why this happens.

This is probably related to the other phenomenon you're seeing with the model selector being empty until you switch to lighting mode. Still very weird behaviour.
greebo

greebo

13.05.2021 17:08

administrator   ~0014010

I've pushed two commits, I'm positive that this will fix the problems you have, both this and 0005609.

You'll find an automatically created portable package in the artifacts of the build workflow at Github: https://github.com/codereader/DarkRadiant/runs/2577340441

I'd appreciate if you could give it a shot and report back whether this issue is resolved with these changes.
BrendonChung

BrendonChung

13.05.2021 18:33

reporter   ~0014012

It works!

I tried the new artifact build, and MD5 and ASE models display fine in it. Thank you!

Related Changesets

DarkRadiant: master b83c3d72

2021-05-13 17:00:10

greebo

Details Diff
0005607: In case the rendersystem is not realised yet the contained material in the Shader object will be empty - don't crash when rendering MD5 models in such a situation Affected Issues
0005607
mod - radiantcore/model/md5/MD5ModelNode.cpp Diff File

DarkRadiant: master b75c4f20

2021-05-13 17:05:59

greebo

Details Diff
0005607: Make sure the render system is realised by the time we initialise the preview. Affected Issues
0005607
mod - libs/wxutil/preview/RenderPreview.cpp Diff File

Issue History

Date Modified Username Field Change
06.05.2021 00:51 BrendonChung New Issue
06.05.2021 00:51 BrendonChung File Added: darkradiant.log
06.05.2021 02:53 greebo Status new => acknowledged
12.05.2021 16:24 greebo Status acknowledged => feedback
12.05.2021 16:24 greebo Note Added: 0013997
12.05.2021 16:56 BrendonChung Note Added: 0013998
12.05.2021 16:56 BrendonChung Status feedback => new
13.05.2021 03:30 greebo Status new => feedback
13.05.2021 03:30 greebo Note Added: 0014000
13.05.2021 15:06 BrendonChung Note Added: 0014005
13.05.2021 15:06 BrendonChung Status feedback => new
13.05.2021 15:56 greebo Note Added: 0014006
13.05.2021 15:56 greebo File Added: 2021-05-13 17_47_31-Window.png
13.05.2021 16:05 greebo Note Added: 0014007
13.05.2021 16:18 greebo Note Edited: 0014007
13.05.2021 17:00 greebo Relationship added related to 0005609
13.05.2021 17:04 greebo Status new => confirmed
13.05.2021 17:04 greebo Assigned To => greebo
13.05.2021 17:04 greebo Status confirmed => assigned
13.05.2021 17:04 greebo Target Version => 2.13.0
13.05.2021 17:04 greebo Description Updated
13.05.2021 17:04 greebo Steps to Reproduce Updated
13.05.2021 17:06 greebo Changeset attached => DarkRadiant master b83c3d72
13.05.2021 17:06 greebo Changeset attached => DarkRadiant master b75c4f20
13.05.2021 17:08 greebo Note Added: 0014010
13.05.2021 17:09 greebo Status assigned => resolved
13.05.2021 17:09 greebo Resolution open => fixed
13.05.2021 17:09 greebo Fixed in Version => 2.13.0
13.05.2021 18:33 BrendonChung Note Added: 0014012